Bug 99110 - (NET TULIP) TULIP & Znyx ZX346Q/DECchip 21142/43 problem
(NET TULIP) TULIP & Znyx ZX346Q/DECchip 21142/43 problem
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-14 13:55 EDT by bil_hendrix
Modified: 2013-07-02 22:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bil_hendrix 2003-07-14 13:55:08 EDT
Description of problem:
I have 3 4-port Znyx ZX346Q cards in my uni-processor AMD-based server 
(MicroStar 6712/KT400A), which also has one on-board NIC (VIA-Rhine). 

here's how they're config'd (where N=1-12):
device=ethN
onboot=yes
bootproto=static
ipaddr=10.N.N.1
netmask=255.255.255.0

when i start the network, i see the "iptables core" blurb for each device, and 
now i can see each of them w/ifconfig.  however, they do not appear to actually 
be on the network/sending/receiving packets. e.g. i have a cross-over b/t eth1 
and another pc (10.1.1.10) and they cannot ping each other ('network not 
found').  eth2 i have going to a hub, which another pc is also connected to 
(10.2.2.20), and again, no pingability.  in all cases, all 'link' lights are 
on.  'activity' lites are not.

/var/log/messages reports:
ethN: 21140 transmit timed out, status f0260000, SIA 000020c6 ffff0001 fffbffff 
8ff50000, resetting...
ethN: transmit timed out, switching to 10baseT-FDX media
ethN: transmit timed out, switching to 100baseTx-FDX media
ethN:Out-of-sync dirty pointer, 120 vs. 137.
etc.

this is the case even if only eth1 or eth2 is the only devices 'up'.

i read somewhere that the DEC 21140 had issues w/autonegotiating media type, 
could this be the prob? 

two additional points to note, as FYI:
1. after first installing the cards, kudzu attempted to set up all 12 tulip 
ports, and appeared to complete error-free.  but upon viewing /etc/modules.conf 
after boot-up, only the first 7 eths were defined, and they had mixed up ip 
addresses.  i modifed them by hand, added the additional 6 ifcfg-ethNs, and 
could successfully restart the network w/all 13 devices coming up. 
2. the route cmd shows 169.254.0.0/255.255.0.0 being added to a random dev 
(usually eth12).  i can manually remove it, but why is this showing up? 

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.9.i686

How reproducible:
every time

Steps to Reproduce:
1. install (multiple) DEC 21142-based multi-port cards
2. configure for networking
3. attempt network connectivity
    
Actual results:
cannot connect to network

Expected results:
network connectivity
no kernel errors

Additional info:
was able to use on-board via-rhine nic in above network experiment just fine, 
ruling out cabling issues, etc.
Comment 1 bil_hendrix 2003-07-14 15:13:28 EDT
Correction: kernel version is stock RH9 (2.4.20-8).  will be updating to latest 
today...

FYI, mobo BIOS is AMIBIOS 3.31a.  relevant(?) settings:
PnP Aware O/S: No
PCI IDE BusMaster: Disabled
PCI Slot1 IRQ: Auto
PCI Slot2/5 IRQ: Auto
PCI Slot3/6 IRQ: Auto
PCI Slot4 IRQ: Auto
PCI Delay Transaction: Enabled

To attempt to further isolate the problem, i removed two of the znyx cards.  
also did 'insmod tulip tulip-debug=9'.  if i only ifup eth1, no probs - network 
connectivity.  if i then ifup eth3, no probs - network connectivity.  if i ifup 
eth2 or eth4, i get:

ethN: The transmitter stopped. CSR5 is f0008102, CSR6 62420200, new CSR6 
82420200.
ethN: The transmitter stopped. CSR5 is f0008102, CSR6 62420200, new CSR6 
83860000.
etc.

and if i bring up all four devs, eth2-4 will get the above errors.

let me know what further info is req'd.
Comment 2 bil_hendrix 2003-07-15 10:37:27 EDT
FYI, upgraded to latest errata (kernel-2.4.20-18.9.i686) yesterday - still have 
exact problem.  will attempt vanilla kernel.org 2.4.21 kernel...
Comment 3 bil_hendrix 2003-07-15 14:58:37 EDT
after upgrading to the latest kernel (as stated above: 2.4.20-18.9), i still 
had the 'insmod tulip tulip-debug=9' line in modules.conf.  i removed it, and 
rebooted and i stopped getting the 'transmitter' error messages, but still had 
no connectivity.  i actually watched the 'activity' lite on one znyx card while 
doing a ping over it's 1st port, and found that another znyx card's first port 
activity lite was blinking - kudzu switched the cards on me!  guess the mobo 
decided i installed them in reverse order on the PCI bus.  so is it that the 
kernel errors were getting caused by two interfaces cross-over connected 
together, but on different subnets (coupled w/tulip-debug on)?  anyway, i now 
have connectivity error-free (after removing the tulip-debug param) on all 12 
znyx ports.  

however, i'm still getting this strange 169.254.0.0/255.255.0.0 entry in my 
routing table. i only get it when i have these znyx cards installed, and NONE 
of my (13) devices are set up for dhcp.  am i mistaken in thinking i don't need 
this route?  as this box is going to be a router, i'd like to clean this up 
(w/o hacking /etc/init.d/network to remove it manually)!
Comment 4 Bugzilla owner 2004-09-30 11:41:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.